Bug 1548718 - libwebp: Partial build flags injection
Summary: libwebp: Partial build flags injection
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libwebp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-02-24 13:35 UTC by Florian Weimer
Modified: 2018-03-13 17:15 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-06 17:28:04 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-02-24 13:35:00 UTC
/usr/lib64/libwebp-java/libwebp_jni.so in libwebp-java-0.6.1-6.fc28.x86_64 has not been linked with the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config:

+ gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection -shared -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -I../src -L../src/.libs -lwebp libwebp_java_wrap.c -o libwebp_jni.so

CFLAGS are there (but not strictly required), but LDFLAGS are missing.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Fedora Update System 2018-02-27 12:42:07 UTC
libwebp-0.6.1-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ac46761c83

Comment 2 Fedora Update System 2018-02-27 12:42:15 UTC
libwebp-0.6.1-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d151d12f9

Comment 3 Fedora Update System 2018-02-27 18:01:23 UTC
libwebp-0.6.1-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ac46761c83

Comment 4 Florian Weimer 2018-02-27 18:22:48 UTC
libwebp-0.6.1-8.fc28 looks good.  Thanks.  (Not changing bug state due to the pending stable update.)

Comment 5 Fedora Update System 2018-02-27 18:29:39 UTC
libwebp-0.6.1-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d151d12f9

Comment 6 Fedora Update System 2018-03-06 17:28:04 UTC
libwebp-0.6.1-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-03-13 17:15:46 UTC
libwebp-0.6.1-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.